<?php
 /**
# mod_jcslide - JV Slide
# @version 1.5.x
# ------------------------------------------------------------------------
# author    Open Source Code Solutions Co
# copyright Copyright (C) 2011 joomlavi.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL or later.
# Websites: http://www.joomlavi.com
# Technical Support:  http://www.joomlavi.com/my-tickets.html
-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restricted access');
if(!class_exists(XTemplate)) require_once(dirname(__FILE__).'/lib/xtemplate.class.php');
if(!class_exists(findFileObj)) require_once(dirname(__FILE__).'/lib/findfile.class.php');
class JVSlide
{
    private $pra;
    private $doc;
    private $tpl;
    function JVSlide($param)
    {
        $this->pra = $param;
        $this->doc = &JFactory::getDocument();
                
        $this->doc->addScript(JURI::base().'modules/mod_jvslide/js/adapter.js');
        $this->doc->addScript(JURI::base().'modules/mod_jvslide/js/slide.js');        
        $this->parseParams();
        $this->loadTemp();
    }
    private function parseParams(){
        $this->path = $this->pra->get('JVSlide_path');
        //$this->images = 
        $images = explode("\n\n",$this->pra->get('JVSlide_imageList'));
        $links = explode("\n\n",$this->pra->get('JVSlide_imageLinks'));
        $description = explode("\n\n",$this->pra->get('JVSlide_imageDescription'));
        $this->picList = array();
        $i = 0;
        foreach($images as $fName) if(str_replace(' ','',$fName)!=''){
            $pic = array(
                'src'   => $this->path.'/'.$fName,
                'href'  => $links[$i],
                'description'=> $description[$i]
            );
            $this->picList[] =  $pic;
            $i++;
        }
        if(count($this->picList)==0){
            $pics = new findFileObj(array('.jpg','.png','.gif'),$this->path);
            $pics = $pics->getList();
            foreach($pics as $link)
            {
                $pic = array('src' => $this->path.'/'.$link);
                $this->picList[] = $pic;
            }
            
        }
        //echo json_encode($this->picList);
        //die;
        $this->id = 'JV_Slide'.$module->id;
    }
    private function parseTemp(){
        foreach($this->picList as $pic){
            $this->tpl->assign('pic',$pic);
            $this->tpl->parse('main.pics');
        }
    }
    private function loadTemp()
    {
        $lang =& JFactory::getLanguage();
        $tempDir = $this->pra->get('JVSlide_chooseTemp');
        $this->doc->addStyleSheet(JURI::base().'modules/mod_jvslide/tmpl/'.$tempDir.'/style.css');
        $this->tpl = new XTemplate(dirname(__FILE__).'/tmpl/'.$tempDir.'/tpl.htm');
        $this->tpl->assign('LANG',$lang->_strings);
        $this->parseTemp();
        $this->tpl->assign('id',$this->id);
        $this->tpl->parse('main');
        $this->tpl->out('main');
    }
    function getOption()
    {
        $option = array(
            'panel'         => '#'.$this->id,
            'showControl'   => $this->pra->get('JVSlide_showControl'),
            'showDes'       => $this->pra->get('JVSlide_showDes'),
            'space'         => $this->pra->get('JVSlide_space') + 0,
            'duration'      => $this->pra->get('JVSlide_duration') + 0,
            'largeSize'     => array(
                'width'         => $this->pra->get('JVSlide_largeWidth') + 0,
                'height'        => $this->pra->get('JVSlide_largeHeight') + 0
            ),
            'smallSize'     => array(
                'width'         => $this->pra->get('JVSlide_smallWidth') + 0,
                'height'        => $this->pra->get('JVSlide_smallHeight') + 0
            ),
            'descriptionHeight' => $this->pra->get('JVSlide_descriptionHeight') + 0,
            'panelHeight'       => $this->pra->get('JVSlide_panelHeight') + 0,
            'paddingTop'        => $this->pra->get('JVSlide_paddingTop') + 0  
        );
        return json_encode($option);
    } 
} 

$JVSlide = new JVSlide($params);
?>
<script type="text/javascript">
window.addEvent('domready',function(){
    new JVSlide(<?php echo $JVSlide->getOption()?>);    
});
</script>