<?php
/**
# mod_jvslide3 - JV Slide Pro
# @versions: 1.5.x,1.6.x,1.7.x,2.5.x
# ------------------------------------------------------------------------
# author    Open Source Code Solutions Co
# copyright Copyright (C) 2011 joomlavi.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL or later.
# Websites: http://www.joomlavi.com
# Technical Support:  http://www.joomlavi.com/my-tickets.html
-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restricted access');
$editorconfig = JVCustomParam::parse($params->get('imageeditor','{}'));

if(JRequest::getInt('jvjslideseditor') == $module->id){
    $file = JRequest::getVar('path');
    require_once(dirname(__FILE__).DS.'libs'.DS.'imageeditor.php');
    $file = str_replace('./',JPATH_SITE.'/',$file);
    new JVImageEditor($file,json_decode(json_encode($editorconfig),true));
    die();
}

require_once(dirname(__FILE__).DS.'libs'.DS.'sources.php');
$doc = JFactory::getDocument();
jQuery('ui.draggable','effects.core');
$doc->addScript(JURI::root().'modules/mod_jvslide3/assets/js/transformjs.1.0.beta.2.min.js');
$doc->addScript(JURI::root().'modules/mod_jvslide3/assets/js/jvslide3.js');
$doc->addScript(JURI::root().'modules/mod_jvslide3/assets/js/jquery.wait.js');
$doc->addStyleSheet(JURI::root().'modules/mod_jvslide3/assets/css/jvslide3.css');    
$doc->addStyleSheet(JURI::root().'modules/mod_jvslide3/assets/css/wait.css');

$source = new JVSlide3Source(JVCustomParam::parse($params->get('imagesource','[]')));
$dataImages = $source->data();
$dataConfigs = JVCustomParam::parse($params->get('slideconfig','{}'));

$layoutPrefix = $params->get('layoutprefix','default');

$url = 'http://'.$_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
if(!strpos('?',$url) == -1) $url.="?";
foreach($dataImages as &$img) $img->path = $url."&jvjslideseditor={$module->id}&path={$img->path}";
 
include(JModuleHelper::getLayoutPath('mod_jvslide3',$layoutPrefix));

?> 