<?php
/**
# mod_jvslidepro - JV Slide Pro
# @versions: 1.5.x,1.6.x,1.7.x,2.5.x
# ------------------------------------------------------------------------
# author    Open Source Code Solutions Co
# copyright Copyright (C) 2011 joomlavi.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL or later.
# Websites: http://www.joomlavi.com
# Technical Support:  http://www.joomlavi.com/my-tickets.html
-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restricted access');

class JVSlide3Source{
    private $ouputData;
    function __construct($params){
        if(is_string($params)) $params = json_decode($params);
        $this->ouputData = $this->{'from_'.$params->{'@selected'}}($params->{$params->{'@selected'}});
    }
    private function from_list($param){
        return $param;
    }
    private function from_folder($param){
        jimport('joomla.filesystem.file');
        $dir = str_replace(array('./',JURI::root(),'/'),array(JPATH_SITE.'/',JPATH_SITE.'/',DS),$param->path);
        if(strrpos($dir,DS) != strlen($dir) -1) $dir .= DS;
        $path = str_replace(array(JPATH_SITE.DS,DS),array(JURI::root(),'/'),$dir);
        $files = JFolder::files($dir,$param->filter);
        $accept = explode(',',strtolower($param->accept));
        $outFiles = array();
        $i = 0;
       if(count($files)) foreach($files as $file){
            $lastDot = strrpos($file,'.');
            $ext = substr($file,$lastDot);
            if(in_array(strtolower($ext),$accept)){                
                $item = $param->details[$i];
                if(!$item) $item = new stdClass();
                $item->path = $path.$file;
                $outFiles[] = $item;
                $i++;
            } 
        }
        return $outFiles;
    }
    private function from_article($param){
        $filter = array();
        if(count($param->category)) $filter[] = "catid REGEXP('".implode('|',$param->category)."')";
        $sql = "SELECT * FROM #__content WHERE";
        $selected = $param->from->{'@selected'};
        if($selected == 'articles'){
            $sql .= " id REGEXP('".implode('|',$param->from->articles)."')";
        }else{
            $config = $param->from->categories;
            $order = "ORDER BY {$config->order} {$config->by}";
            $limit =  "LIMIT {$config->start},".($config->limit?$config->limit:9999);
            
            $sql .= " catid REGEXP('".implode('|',$config->categories)."') {$order} {$limit}";
        }
        
        $db = JFactory::getDbo();
        $db->setQuery($sql);
        $list = $db->loadObjectList();
        
        $regs = array();
        foreach(array('regtitle','regpath','regdesc','rexredirect') as $attr){
            $reg = $param->{$attr};
            if($reg) $regs[$attr] = $reg;
        }
        
        
        $data = array();
        if(count($list)) foreach($list as $art){
            $data = array_merge($data,$this->buildItemFromArticle($regs,$art));
        }
        
        return $data;
    }
    
    private function buildItemFromArticle($regs,$art){
        $rs = array();
        foreach($regs as $key => $reg){
            preg_match_all($reg,$art->introtext,$rs[$key]);
        }
        
        $i = 0;
        $data = array();
        foreach($rs[regpath][1] as $path){
            $item = new stdClass();
            $item->path = $path;
            $item->desc = $rs['regdesc'][$i];
            $item->title = $rs['regtitle'][$i];
            $item->redirect = $rs['regredirect'][$i];
            $data [] = $item;
            $i++;
        }
        return $data;
    }
    
    function data(){
        return $this->ouputData;
    }
    
}
?>
