<?php
/**
# mod_jvslidepro - JV Slide Pro
# @versions: 1.5.x,1.6.x,1.7.x,2.5.x
# ------------------------------------------------------------------------
# author    Open Source Code Solutions Co
# copyright Copyright (C) 2011 joomlavi.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL or later.
# Websites: http://www.joomlavi.com
# Technical Support:  http://www.joomlavi.com/my-tickets.html
-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restricted access');
$moduleid = "jvslide3-".$module->id;
    $doc = &JFactory::getDocument();
    $doc->addScriptDeclaration("
        jQuery(function($){
            new JVSlide3('#{$moduleid}',".json_encode($dataConfigs).");
        });
    ");
    
    
?>
<div class="jvsl3-wrapper">
    <div class="ribbon"></div>
    <div id="<?php echo $moduleid?>" class="jvsl3">
        <?php 
        $i = 0;
        foreach($dataImages as $image){
            ?>
            <div class="jvsl3-item item<?php echo $i;?>">
                <img src="<?php echo $image->path?>" href="<?php echo $image->redirect?>" >
                <div class="jvsl3-details">
                    <h3><span><?php echo $image->title?></span></h3>
                    <?php echo $image->desc?>
                </div>
            </div>
            <?php
            $i++;
        }
        ?>
    </div>
</div>